.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
}

.overlay:target {
  visibility: visible;
  opacity: 1;
}

.popup {
  margin: 280px auto;
  padding: 20px;
  background: transparent;
  background: rgba(0,0,0,.2);
  border: 1px solid #000;
  border-radius: 20px;
  backdrop-filter: blur(20px);
  box-shadow: 25px 25px 50px rgba(0,0,0, .8);
  position: relative;
  width: 270px;
  height: 280px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transition: transform .5s ease; height .2s ease;
  z-index: 10; /* Beliebiger Wert größer als andere Elemente */
}

.popup .close {
	position: absolute;
	top: 0;
	right: 0;
	width: 45px;
	height: 45px;
	background: #162938;
	font-size: 2em;
	color: #fff;
	display: flex;
	justify-content: center;
	align-items: center;
	border-bottom-left-radius: 20px;
	cursor: pointer;
	text-decoration: none;
	z-index: 1;
}

.form-box h2{
	font-size: 1.5em;
	color: #fff;
	text-align: center;
}

.input-box{
	position: relative;
	width: 100%;
	height: 40px;
	border-bottom: 2px solid #fff;
	margin: 25px 0;
}

.input-box label{
	position: absolute;
	top: 50%;
	left: 5px;
	transform: translateY(-50%);
	font-size: 1em;
	color: #fff;
	font-weight: 500;
	pointer-events: none;
	transition: .5s;
}

.input-box input:focus~label,
.input-box input:valid~label{
	top: -5px;
}

.input-box input{
	width: 100%;
	height: 100%;
	background: transparent;
	border: none;
	outline: none;
	font-size: 1em;
	color: #fff;
	font-weight: 600;
	padding: 0 35px 0 5px;
}

.btn{
	width: 100%;
	height: 45px;
	background: #162938;
	border: 1px solid #000;
	box-shadow: 25px 25px 50px rgba(0,0,0, .8);
	outline: none;
	border-radius: 10px;
	cursor: pointer;
	font-size: 1em;
	color: #fff;
	font-weight: 500;
}
